// MaxMeshFace.h: interface for the CMaxMeshFace class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_MAXMESHFACE_H__4CD3E102_45B6_4FF8_800B_1B4D8A231896__INCLUDED_)
#define AFX_MAXMESHFACE_H__4CD3E102_45B6_4FF8_800B_1B4D8A231896__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "..\Rasterizer\MeshFace.h"

#include "MaxFace.h"

class CMaxMeshFace : public CMeshFace  
{
protected:
	CMaxFace*		m_pFace;
	DWORD			m_dwIndex;

public:
	CMaxMeshFace();
	virtual ~CMaxMeshFace();

	void Write(CFileStream* lpStream);

	bool Append();
	void Append(DWORD dwIndex);

	// inline
	///////////////////////////////////////////////////////////////////////////
	DWORD GetIndex()				{ return m_dwIndex; }
	void  SetIndex(DWORD dwIndex)	{ m_dwIndex = dwIndex; }
};

#endif // !defined(AFX_MAXMESHFACE_H__4CD3E102_45B6_4FF8_800B_1B4D8A231896__INCLUDED_)
